Bug 520343 - Review Request: clc - command line client for MUDs
Summary: Review Request: clc - command line client for MUDs
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 515832
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 00:12 UTC by Sean Middleditch
Modified: 2009-10-03 00:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-03 00:41:59 UTC
jan.klepek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Sean Middleditch 2009-08-31 00:12:32 UTC
Spec URL: http://middleditch.us/sean/clc.spec
SRPM URL: http://middleditch.us/sean/clc-0.01-1.fc12.src.rpm
Description: Very simplistic MUD client for command line usage.

Note: Requires the libtelnet package under review at bug #515832.

Comment 1 Sean Middleditch 2009-09-06 09:57:23 UTC
Spec URL: http://middleditch.us/sean/clc.spec
SRPM URL: http://middleditch.us/sean/clc-0.01-2.fc12.src.rpm

Fixed a typo I just caught in the source URL for the spec file.  Updated to release -2 and added a changelog note.

Comment 2 Sean Middleditch 2009-09-12 20:17:30 UTC
Now that libtelnet is in F12, I tried a scratch build on Koji.  That made it clear that I forgot some build requires on packages I had installed on my local machine (Koji is damn handy that way).  Updated to 0.01-3 with the build requires added.  Verified it works on Koji now.

Spec URL: http://middleditch.us/sean/clc.spec
SRPM URL: http://middleditch.us/sean/clc-0.01-3.fc12.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=1674042

Comment 3 Jan Klepek 2009-09-18 13:12:23 UTC
1]
i didn't see there usage of fedora compiler flags.
https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags

2] 
md5sum of download from SOURCE is different from tar which is in src.rpm
b6043dececbaa61e8a3b26a2bda33d38  clc-0.01.tar.gz
ed6d17913a6f8e1d9db4a210f5edef34  SOURCES/clc-0.01.tar.gz

3] macros usage
use only one style of macros or variable. not both in one spec file. so you eiter replace variables with corresponding macros or macros with variables.
http://fedoraproject.org/wiki/Packaging/Guidelines#macros


otherwise it looks good
spec file is in english and have correct name
directories, files and ownership is correct
compiling/building ok
dependencies ok
clean section present

please fix 1],2],3].

Comment 4 Sean Middleditch 2009-09-19 21:04:03 UTC
1) I am now explicitly setting the CFLAGS in the spec file, which both adds the Fedora optimization flags and also overrides the Makefile's defaults (so the spec file has to include a couple flags specific to clc).

2) Annoyingly, the tarballs were identical in contents other than timestamps on the files.  I made sure I have the tarball directly from upstream in SOURCES now.

3) The package is using the macros/variables consistently.  I had $RPM_BUILD_ROOT only and no references to %{buildroot}.  The link you provided states that I should use one or the other (with no official preference towards either) and that I should not mix usage of $RPM_BUILD_ROOT and %{buildroot} in a single spec file, which I already complied with.  I converted to the macro style anyway since it looks nicer IMO, and I used the macro style for %{optflags} as well.

New files:

Spec URL: http://middleditch.us/sean/clc.spec
SRPM URL: http://middleditch.us/sean/clc-0.01-4.fc12.src.rpm

Comment 5 Jan Klepek 2009-09-24 07:05:57 UTC
approved

Comment 6 Sean Middleditch 2009-09-24 07:54:13 UTC
New Package CVS Request
=======================
Package Name: clc
Short Description: Very simplistic MUD client for command line usage
Owners: elanthis
Branches: F12

Comment 7 Kevin Fenzi 2009-09-24 16:27:17 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.